Skip to main content
GET
Get bulk email enrichment job status

Authorizations

Authorization
string
header
required

API Token used for authentication. Example: "Authorization: Bearer {token}"

Path Parameters

jobId
string<uuid>
required

Response

OK

job_id
string<uuid>

Unique identifier for the bulk person email enrichment job.

status
enum<string>

Current status of the job (pending, processing, completing, completed, failed).

Available options:
pending,
processing,
completing,
completed,
failed
total_requests
integer<int32>

Number of lookup items queued in the job.

found_count
integer<int32>

Number of lookup items that found an email.

not_found_count
integer<int32>

Number of lookup items that were definitively not found.

unavailable_count
integer<int32>

Number of lookup items that ended in unavailable status.

chunk_count
integer<int32>

Total number of chunks in the job.

processed_chunks
integer<int32>

Number of chunks that have been completed.

credits_charged
integer<int32>

Total credits charged for this job.

created_at
string<date-time>

Timestamp when the job was created.

started_at
string<date-time> | null

Timestamp when the job started processing.

completed_at
string<date-time> | null

Timestamp when the job completed.

results_url
string | null

URL to download the enrichment results (available when completed).

error_message
string | null

Error message if the job failed.